Subject: Re: [PATCH net-next ] net: mscc: Add SPDX identifier

From: Alexandre Belloni <[email-masked]>
Date: Fri, 18 May 2018 09:52:27 +0200

On 17/05/2018 18:13:25-0700, Joe Perches wrote:
> On Thu, 2018-05-17 at 21:39 +0200, Alexandre Belloni wrote:
> > On 17/05/2018 12:28:59-0700, Joe Perches wrote:
> > > On Thu, 2018-05-17 at 21:23 +0200, Alexandre Belloni wrote:
> > > > ocelot_qsys.h is missing the SPDX identfier, fix that.
> > > > 
> > > > Signed-off-by: Alexandre Belloni <[email-masked]>
> > > 
> > > Only the copyright holders should ideally be modifying
> > > these and also removing other license content.
> > > 
> > > For instance, what's the real intent here?
> > > 
> > 
> > Well, if you have a look, I submitted that file this cycle and it is the
> > only one that doesn't have the proper SPDX identifier. This is a mistake
> > I'm fixing.
> 
> Just because you submitted it does not mean you
> are the copyright holder.
> 
> > > > diff --git a/drivers/net/ethernet/mscc/ocelot_qsys.h b/drivers/net/ethernet/mscc/ocelot_qsys.h
> > > 
> > > []
> > > > @@ -1,7 +1,7 @@
> > > > +/* SPDX-License-Identifier: (GPL-2.0 OR MIT) */
> > > 
> > > GPL 2.0+ or 2.0?
> > > 
> > 
> > 2.0
> 
> How do you know that?
> 

The fact is that it should have been submitted with the SPDX identifier
to be consistent with the rest of the driver. If you can't trust me on
that, then, you can't probably trust anyone submitting anything new
driver to the kernel.

I still don't understand why you are making an issue out of this.

Because my email address doesn't match the copyright holder's name
doesn't mean I'm not allowed to fix my own mistake.

-- 
Alexandre Belloni, Bootlin (formerly Free Electrons)
Embedded Linux and Kernel engineering
https://bootlin.com